package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag734;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT734Creator;

/**
 * @author gaosheng
 * @date 2023/3/1
 */
public class Tag72ZCreator extends AbsTagCreate {

     private MT734Creator mt734Creator;

    public Tag72ZCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt734Creator= (MT734Creator) absMTCreator;
    }

    public void creator()
    {
        String tag72ZValue = mt734Creator.getSenderToReceiverInformation();
        mt734Creator.set("72Z", tag72ZValue);
    }
}
